Install errors Ubuntu 8.04 Virtualmin Pro

First question is 8.04LTS server supported for Pro or not? I installed teh GPL version on a different test box with no issues.

It looks like under the Supported OS’s Ubuntu 8.04 LTS Server i386 is listed. When I run the install script it’s not on the supported OS’s.

I have tried 2 fresh installs of 8.04 only adding OpenSSH server.
1st install I did not run the Ubuntu updates.
2nd install I rebuild the server, enabled ‘backports and Canonical’s’ repositories and ran the updates

Same errors on both installs.

Product looks great can’t wait to start using it.
Rick


. …E: Sub-process /usr/bin/dpkg returned an error code (1)

/usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install vi rtualmin-base failed. Error (if any): 0

Displaying the last 15 lines of /root/virtualmin-install.log to help troubleshoo t this problem:
Installing new config file as you request.

Configuration file `/etc/emacs/site-start.d/50psvn.el’, does not exist on system .
Installing new config file as you request.
dpkg: dependency problems prevent configuration of virtualmin-base:
virtualmin-base depends on postgresql; however:
Package postgresql is not configured yet.
dpkg: error processing virtualmin-base (–configure):
dependency problems - leaving unconfigured
Processing triggers for libc6 …
ldconfig deferred processing now taking place
Errors were encountered while processing:
postgresql-8.3
postgresql
virtualmin-base

FATAL - Fatal Error Occurred: Installation failed: 0
FATAL - Cannot continue installation.
FATAL - Attempting to remove virtualmin repository configuration, so the install ation can be
FATAL - re-attempted after any problems have been resolved.
FATAL - Removing temporary directory and files.
FATAL - If you are unsure of what went wrong, you may wish to review the log
FATAL - in /root/virtualmin-install.log
root@jade:~#

It looks like under the Supported OS's Ubuntu 8.04 LTS Server i386 is listed. When I run the install script it's not on the supported OS's.

Oops. I failed to update the supported list in the script. Fixed now.

But yes, it should install successfully on Ubuntu 8.04 LTS on both i386 and amd64 (but note that amd64 only made it into the repositories yesterday, so if you tried before that on a 64 bit install, it would have failed).

If you’d like to email me (joe@virtualmin.com) with server details I’d be happy to drop in and see what’s going wrong, and get it fixed (as well as fix whatever isn’t quite spinning right in the install script).

We’ll I built a stand alone test box so you could get in and it worked fine? My others were VM on VMware Server. Could this have been the issue?

Rick

We'll I built a stand alone test box so you could get in and it worked fine? My others were VM on VMware Server. Could this have been the issue?

I can’t imagine how, as VMWare systems look close enough to a real system to not matter to Virtualmin (vservers, and OpenVZ, and Zones require a bit of extra tweaking to spin nicely because they are missing a few things and some other things are weird, like network interfaces and quota configuration, and such, but vmware and Xen look like the real thing as far as Virtualmin is concerned).

So, I dunno. Coulda been a disk space or memory issue, perhaps.

I wrote a how-to handbook at http://ubuntuforums.org/showthread.php?t=1197883
It covers installing Virtualmin, Webmin & Usermin on Ubuntu Server 8.04 LTS.